﻿using System.Collections;
using UnityEngine;

public class HealthBar : MonoBehaviour
{
    public int health;
    public int maxHealth;

    private Animator animator;

    private void Start()
    {
        animator = GetComponent<Animator>();
    }

    void Update()
    {
        if (health < 0) health = 0;
        if (health > maxHealth) health = maxHealth;

        animator.SetFloat("heathNormalized", health / (float)maxHealth);
    }
}